package com.steerinfo.meterwork.meterworkstockonline.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.meterwork.meterworkstockonline.model.MeterWorkStockOnline;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface MeterWorkStockOnlineMapper extends IBaseMapper<MeterWorkStockOnline, String> {
//    int updateByPrimaryKeySelectiveNotWeightTime(MeterWorkStockOnline meterWorkStockOnline);
//
//    List<MeterWorkStockOnline> AutomaticUnlock(Map<String, Object> parameters);

    void batchUpdateForNotOnLine();

    List<MeterWorkStockOnline> batchSelect(List<String> ids);

    int batchUpdateSelective(List<MeterWorkStockOnline> list2);

    int updateByPrimaryKeyForNull(MeterWorkStockOnline model);
}
